Expo Icons MD5 integrity check

Expo CLI 4.7.3 environment info:
System:
OS: macOS 11.4
Shell: 3.2.57 - /bin/bash
Binaries:
Node: 12.16.3 - /usr/local/bin/node
Yarn: 1.22.0 - /usr/local/bin/yarn
npm: 7.11.1 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
IDEs:
Xcode: /undefined - /usr/bin/xcodebuild
npmPackages:
expo: ~42.0.0 => 42.0.0
react: 16.13.1 => 16.13.1
react-dom: 16.13.1 => 16.13.1
react-native: https://github.com/expo/react-native/archive/sdk-42.0.0.tar.gz => 0.63.2
react-native-web: ~0.13.12 => 0.13.18
npmGlobalPackages:
expo-cli: 4.7.3
Expo Workflow: managed

Hi all, just create a new expo project from scratch with expo init my-app. When I trying to add an icon I see the next error:

[Unhandled promise rejection: Error: Downloaded file for asset ‘FontAwesome.ttf’ Located at http://192.168.68.103:19000/assets/node_modules/@expo/vector-icons/build/vendor/react-native-vector-icons/Fonts/FontAwesome.ttf?platform=ios&hash=b06871f281fee6b241d60582ae9369b9?platform=ios&dev=true&hot=false&minify=false failed MD5 integrity check]
at node_modules/expo-asset/build/PlatformUtils.js:53:18 in _downloadAsyncManagedEnv
at [native code]:null in flushedQueue
at [native code]:null in invokeCallbackAndReturnFlushedQueue

It is actual for the next icon family:
AntDesign, FontAwesome, FontAwesome5, Fontisto, Ionicons, MaterialIcons

Some works correctly:
Entypo, EvilIcons, Feather, Foundation, Octicons, SimpleLineIcons, Zocial

Please advise how to fix this issue?

Hey @vkiryakov, can you share the code that is throwing this error?

Cheers,
Adam

Hi @adamjnav

  1. Create an app with expo init my-app
  2. Add any icon
import { StatusBar } from 'expo-status-bar';
import React from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { MaterialIcons } from '@expo/vector-icons';

export default function App() {
  
  return (
    <View style={styles.container}>
      <Text>Open up App.js to start working on your app!</Text>
      <MaterialIcons name="3d-rotation" size={24} color="black" />
      <StatusBar style="auto" />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});

Any ideas?

Expo team or somebody… Pls… how to resolve this issue?